[Bug libgcj/33278] [4.3 Regression] libjava fails to compile if configure argument contains "version"

doko at ubuntu dot com gcc-bugzilla@gcc.gnu.org
Sun Sep 2 11:21:00 GMT 2007



------- Comment #1 from doko at ubuntu dot com  2007-09-02 11:21 -------
Subject: Re:   New: [4.3 Regression] libjava fails to compile
 if configure argument contains "version"

belyshev at depni dot sinp dot msu dot ru schrieb:
> When gcc is configured with, for example, "--without-pkgversion", this part of
> libjava configure script parses "gcj -v" output incorrectly, thus encoding
> garbage as preprocessor macro and failing:
> 
> gcjversion=`$GCJ -v 2>&1 | sed -n 's/^.*version \([[^ ]]*\).*$/\1/p'`
> 
> An obvious fix would be:

> -gcjversion=`$GCJ -v 2>&1 | sed -n 's/^.*version \([[^ ]]*\).*$/\1/p'`
> +gcjversion=`$GCJ -v 2>&1 | awk '/^gcc version/ { print $3 }'`

doesn't look robust either; what about

  gcjversion=`cat $srcdir/../gcc/BASE-VER`


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33278



More information about the Java-prs mailing list